# enable_gtkdoc: Toggle if gtk-doc files should be rebuilt.
#      0 = no
#      1 = yes
%define enable_gtkdoc 0

# enable_bootstrap: Toggle if bootstrapping package
#      0 = no
#      1 = yes
%define enable_bootstrap 0

# enable_tests: Run test suite in build
#      0 = no
#      1 = yes
%define enable_tests 0

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_without_bootstrap: %{expand: %%define enable_bootstrap 0}}
%{?_without_tests: %{expand: %%define enable_tests 0}}

%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}
%{?_with_bootstrap: %{expand: %%define enable_bootstrap 1}}
%{?_with_tests: %{expand: %%define enable_tests 1}}

# required version of various libraries
%global glib2_version 2.66.0
%global pango_version 1.47.0
%global atk_version 2.15.1
%global cairo_version 1.14.0
%global gdk_pixbuf_version 2.30.0
%global wayland_protocols_version 1.20
%global wayland_version 1.14.91


%define pkgname			gtk
%define api			4
%define api_version		4.0
%define binary_version		4.0.0
%define lib_major		1
%define libname			%mklibname %{pkgname} %{api} %{lib_major}
%define girname			%mklibname gtk-gir %{api_version}
%define develname		%mklibname -d %{pkgname} %{api_version}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

# "fix" underlinking:
%define _disable_ld_no_undefined 1


Name:		%{pkgname}%{api_version}
Version:        4.1.0
Release:	%mkrel 1
Summary:        GTK graphical user interface library
License:	LGPLv2+
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/%{pkgname}/%{url_ver}/%{pkgname}-%{version}.tar.xz
# (tv) fix misplaced tooltips in drakx/installer (mga#11893, bgo#698730):
Source1:	0001-tooltip-Fix-possibly-briefly-appearing-at-0x0.patch
URL:		https://www.gtk.org
Requires:	common-licenses
BuildRequires:	autoconf-archive
BuildRequires:  cups-devel
BuildRequires:	gettext-devel
BuildRequires:	git
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(atk) >= %{atk_version}
BuildRequires:	pkgconfig(atk-bridge-2.0)
BuildRequires:  pkgconfig(avahi-gobject)
BuildRequires:	pkgconfig(cairo) >= %{cairo_version}
BuildRequires:  pkgconfig(cairo-gobject) >= %{cairo_version}
BuildRequires:	pkgconfig(colord)
BuildRequires:  pkgconfig(egl)
BuildRequires:	pkgconfig(epoxy)
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= %{gdk_pixbuf_version}
BuildRequires:	pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(graphene-gobject-1.0)
BuildRequires:	pkgconfig(gstreamer-player-1.0)
BuildRequires:	pkgconfig(iso-codes)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(pango) >= %{pango_version}
BuildRequires:  pkgconfig(rest-0.7)
BuildRequires:  pkgconfig(vulkan)
BuildRequires:	pkgconfig(wayland-client) >= %{wayland_version}
BuildRequires:	pkgconfig(wayland-cursor) >= %{wayland_version}
BuildRequires:	pkgconfig(wayland-egl) >= %{wayland_version}
BuildRequires:  pkgconfig(wayland-protocols) >= %{wayland_protocols_version}
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xdamage)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xkbcommon)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:  pkgconfig(xrender)
BuildRequires:	sassc
%rename gtk+4.0

%if %enable_tests
BuildRequires:	x11-server-xvfb
%endif

%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 1.99
BuildRequires:	sgml-tools
BuildRequires:	texinfo
%endif

# gw tests will fail without this
BuildRequires:	fonts-ttf-dejavu

%if !%{enable_bootstrap}
Recommends:	xdg-user-dirs-gtk
%endif
Recommends:	%mklibname gvfs 0

Requires:	%{libname} = %{version}
Provides:	%{pkgname}%{api} = %{version}-%{release}

%description
GTK is a multi-platform toolkit for creating graphical user
interfaces. Offering a complete set of widgets, GTK is suitable for
projects ranging from small one-off tools to complete application
suites.
 
This package contains version 4 of GTK.

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	lib%{pkgname}%{api} = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Requires:	libglib2.0 >= %{glib2_version}
Requires:	libpango1.0 >= %{pango_version}
Requires:	libatk1.0 >= %{atk_version}
Requires:	gtk4.0 = %{version}-%{release}
Requires:	glib2.0-common
Obsoletes:	%{mklibname gtk+4.0 %{api} %{lib_major} } <= %{version}-%{release} 
Provides:	%{mklibname gtk+4.0 %{api} %{lib_major} } = %{version}-%{release}

# standard icons
Requires:	adwaita-icon-theme
# required for icon theme apis to work
Requires:	hicolor-icon-theme

Requires(posttrans):	gtk4.0
Requires(posttrans):	libmesagl >= 10.2.3-1

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gtk.

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject introspection interface library for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject introspection interface library for %{name}.

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	Development files for GTK
Group:		Development/GNOME and GTK+
Provides:	%{pkgname}%{api}-devel = %{version}-%{release}
Provides:	lib%{pkgname}%{api}-devel = %{version}-%{release}
Provides:	lib%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-x11-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	gtk4-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{girname} = %{version}
Requires:	libgdk_pixbuf2.0-devel >= %gdk_pixbuf_version
Requires:	libatk1.0-devel >= %{atk_version}
Requires:	libpango1.0-devel >= %{pango_version}

%description -n %{develname}
This package contains the libraries and header files that are needed
for writing applications with version 4 of the GTK widget toolkit.

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n gtk-%{version}

# (ovitters) prevent subprojects from being used, caused an issue with gtk-doc
#            https://gitlab.gnome.org/GNOME/gtk/-/issues/3219
rm -rf subprojects

%build
export CFLAGS='-fno-strict-aliasing -DG_DISABLE_CAST_CHECKS -DG_DISABLE_ASSERT %optflags'
%meson \
        -Dx11-backend=true \
        -Dwayland-backend=true \
        -Dbroadway-backend=true \
        -Dmedia-ffmpeg=disabled \
        -Dmedia-gstreamer=enabled \
        -Dxinerama=enabled \
        -Dcolord=enabled \
        -Dgtk_doc=false \
        -Dman-pages=true \
        -Dinstall-tests=false

%meson_build

%install
%meson_install

%find_lang gtk40
%find_lang gtk40-properties

mkdir -p $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/modules

# Adwaita is the default theme but it's not installed and neither was
# Raleigh before it as far as I can tell.
# Most of this is compiled into GTK binaries but it causes the theme not to be
# "seen" by theme choosers - e.g. gnome-tweak-tool, so you cannot switch from
# e.g. oxygen-gtk (the Mageia default) to Adwaita (the upstream default) without
# these files in place or a fix to gnome-tweak-tool and other theme choosers to
# hard-code Adwaita.
# See https://bugzilla.gnome.org/show_bug.cgi?id=733420
mkdir -p %{buildroot}%{_datadir}/themes/Adwaita/gtk-4.0
cp -a gtk/theme/Adwaita/gtk{,-dark}.css %{buildroot}%{_datadir}/themes/Adwaita/gtk-4.0

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
%if %enable_tests
XDISPLAY=$(i=1; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_bindir}/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
make check
kill $(cat /tmp/.X$XDISPLAY-lock) ||:
%endif

%files -f gtk40.lang -f gtk40-properties.lang
%doc README.md
%{_bindir}/gtk4-query-settings
%{_bindir}/gtk4-launch
%{_bindir}/gtk4-update-icon-cache
%{_mandir}/man1/gtk4-launch.1*
%{_mandir}/man1/gtk4-update-icon-cache.1*
%{_datadir}/themes
%{_datadir}/glib-2.0/schemas/org.gtk.gtk4.Settings.ColorChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.gtk4.Settings.Debug.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.gtk4.Settings.EmojiChooser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gtk.gtk4.Settings.FileChooser.gschema.xml
%{_datadir}/gtk-%{api_version}/emoji/*.gresource
%{_bindir}/gtk4-broadwayd
%{_mandir}/man1/gtk4-broadwayd.1*

%files -n %{libname}
%doc README.md
%dir %{_libdir}/gtk-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/modules
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}/printbackends
%{_libdir}/gtk-%{api_version}/%{binary_version}/printbackends/*.so
%{_libdir}/libgtk-4.so.%{lib_major}.*
%{_libdir}/libgtk-4.so.%{lib_major}
%{_libdir}/gtk-%{api_version}/%{binary_version}/media/libmedia-gstreamer.so

%files -n %{girname}
%{_libdir}/girepository-1.0/Gdk-%{api_version}.typelib
%{_libdir}/girepository-1.0/GdkX11-%{api_version}.typelib
%{_libdir}/girepository-1.0/GdkWayland-%{api_version}.typelib
%{_libdir}/girepository-1.0/Gsk-%{api_version}.typelib
%{_libdir}/girepository-1.0/Gtk-%{api_version}.typelib

%files -n %{develname}
%doc docs/*.txt AUTHORS NEWS README.md
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_bindir}/gtk4-builder-tool
%{_bindir}/gtk4-demo
%{_bindir}/gtk4-demo-application
%{_bindir}/gtk4-encode-symbolic-svg
%{_bindir}/gtk4-icon-browser
%{_bindir}/gtk4-print-editor
%{_bindir}/gtk4-widget-factory
%{_libdir}/libgtk-%{api}.so
%{_datadir}/applications/org.gtk.Demo4.desktop
%{_datadir}/applications/org.gtk.IconBrowser4.desktop
%{_datadir}/applications/org.gtk.PrintEditor4.desktop
%{_datadir}/applications/org.gtk.WidgetFactory4.desktop
%{_datadir}/icons/hicolor/*/apps/org.gtk.Demo4*.svg
%{_datadir}/icons/hicolor/*/apps/org.gtk.IconBrowser4*.svg
%{_datadir}/icons/hicolor/*/apps/org.gtk.PrintEditor4*.svg
%{_datadir}/icons/hicolor/*/apps/org.gtk.WidgetFactory4*.svg
%{_datadir}/gettext/
%{_datadir}/gir-1.0
%{_datadir}/glib-2.0/schemas/org.gtk.Demo4.gschema.xml
%dir %{_datadir}/gtk-4.0
%{_datadir}/gtk-4.0/gtk4builder.rng
%{_datadir}/gtk-4.0/valgrind/
%{_datadir}/metainfo/org.gtk.Demo4.appdata.xml
%{_datadir}/metainfo/org.gtk.IconBrowser4.appdata.xml
%{_datadir}/metainfo/org.gtk.PrintEditor4.appdata.xml
%{_datadir}/metainfo/org.gtk.WidgetFactory4.appdata.xml
%{_mandir}/man1/gtk4-builder-tool.1*
%{_mandir}/man1/gtk4-demo.1*
%{_mandir}/man1/gtk4-demo-application.1*
%{_mandir}/man1/gtk4-encode-symbolic-svg.1*
%{_mandir}/man1/gtk4-icon-browser.1*
%{_mandir}/man1/gtk4-query-settings.1*
%{_mandir}/man1/gtk4-widget-factory.1*


%changelog
* Tue Feb 02 2021 tv <tv> 4.1.0-1.mga8
+ Revision: 1674534
- Update to 4.1.0
- Disable asserts and cast checks

* Thu Jan 21 2021 tv <tv> 4.0.2-1.mga8
+ Revision: 1672807
- bump needed glib version
+ ovitters <ovitters>
- new version 4.0.2

* Mon Jan 11 2021 tv <tv> 4.0.1-1.mga8
+ Revision: 1671018
- 4.0.1

* Tue Jan 05 2021 tv <tv> 4.0.0-2.mga8
+ Revision: 1668965
- fix building with vulkan-162+

* Thu Dec 17 2020 tv <tv> 4.0.0-1.mga8
+ Revision: 1659550
- Update to 4.0.0

* Tue Dec 08 2020 ovitters <ovitters> 3.99.5-1.mga8
+ Revision: 1654717
- new version 3.99.5

* Thu Nov 05 2020 tv <tv> 3.99.4-1.mga8
+ Revision: 1642767
- disable ffmpeg, enable gstreamer
+ ovitters <ovitters>
- new version 3.99.4

* Fri Oct 16 2020 ovitters <ovitters> 3.99.3-1.mga8
+ Revision: 1636350
- new version 3.99.3
+ tv <tv>
- bump needed glib version

* Wed Sep 30 2020 ovitters <ovitters> 3.99.2-1.mga8
+ Revision: 1631331
- new version 3.99.2
+ tv <tv>
- use %%autosetup
- BR git
- gtk is not the gimp toolkit anymore
- bump needed glib version

* Fri Sep 04 2020 tv <tv> 3.99.1-2.mga8
+ Revision: 1621910
- move some files back into devel subpkg
- enable man pages
- validate desktop file in %%check
- add more BRs
- actually enable colord support

* Fri Sep 04 2020 tv <tv> 3.99.1-1.mga8
+ Revision: 1621740
- adjust BRs (especially vulkan) + filelist
+ ovitters <ovitters>
- new version 3.99.1

* Fri Jul 31 2020 ovitters <ovitters> 3.99.0-1.mga8
+ Revision: 1609984
- new version 3.99.0
- url now uses https

* Mon Jun 08 2020 ovitters <ovitters> 3.98.5-1.mga8
+ Revision: 1590981
- fix pango BR version
- new version 3.98.5

* Mon May 18 2020 ovitters <ovitters> 3.98.4-1.mga8
+ Revision: 1586076
- new version 3.98.4

* Tue Apr 21 2020 ovitters <ovitters> 3.98.3-1.mga8
+ Revision: 1570260
- new version 3.98.3

* Wed Apr 01 2020 ovitters <ovitters> 3.98.2-1.mga8
+ Revision: 1562843
- new version 3.98.2

* Sun Mar 22 2020 ovitters <ovitters> 3.98.1-1.mga8
+ Revision: 1558759
- new version 3.98.1

* Sat Feb 15 2020 umeabot <umeabot> 3.98.0-0.2.mga8
+ Revision: 1527673
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 tv <tv> 3.98.0-0.1.mga8
+ Revision: 1519919
- 3.98
- rename gtk+4.0 spec file as gtk4.0
- rename gtk+4.0 directory as gtk4.0
- fix filelist
- new release

* Sun Sep 23 2018 umeabot <umeabot> 3.94.0-3.mga7
+ Revision: 1298104
- Mageia 7 Mass Rebuild

* Wed Jun 27 2018 tv <tv> 3.94.0-2.mga7
+ Revision: 1239967
- re-enable broadway

* Wed Jun 27 2018 tv <tv> 3.94.0-1.mga7
+ Revision: 1239961
- new release
- BR pkgconfig(gstreamer-player-1.0)
- adjust file list & scriptlets (immodules are gone, ...)

* Tue Jan 09 2018 tv <tv> 3.93.0-2.mga7
+ Revision: 1191805
- git snapshot (bug new pango API bits -- fix segfault)
- drop im-cedilla.conf already shipped with gtk+3
- fix Adwaita theme location

* Mon Jan 08 2018 tv <tv> 3.93.0-1.mga7
+ Revision: 1191592
- fix build
- "fix" linking
- fix file list
- new release
- use %%meson
- fix build
- new release

* Tue Aug 22 2017 tv <tv> 3.91.2-1.mga7
+ Revision: 1142873
- use new std macros
- fix find-lang regression
- new release
- fix description
- new release

* Sun Apr 02 2017 tv <tv> 3.90.0-1.mga7
+ Revision: 1095655
- new release
- new release

* Wed Mar 08 2017 tv <tv> 3.89.4-2.mga6
+ Revision: 1090214
- fix s/gtk3/gtk4/ devel provides
- kill old conflicts/obsoletes tags inherited from gtk+3

* Tue Feb 14 2017 tv <tv> 3.89.4-1.mga6
+ Revision: 1086165
- new version

* Mon Jan 23 2017 tv <tv> 3.89.3-1.mga6
+ Revision: 1083175
- BR autoconf-archive (fix build when using archive from git.gnome.org)
- new release

* Thu Dec 22 2016 tv <tv> 3.89.2-1.mga6
+ Revision: 1076354
- new release

* Thu Dec 01 2016 tv <tv> 3.89.1-1.mga6
+ Revision: 1071456
- first gtk+4.0 snapshot
- BR pkgconfig(graphene-1.0)
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)
- do not package useless huge files in devel subpkg
- new release
- adjust file list
- adjust file list
- drop merged patch
- new release
- BR wayland-protocols-devel
- BR wayland-protocols
- new release
- drop merged patch
- requires gsettings-desktop-schemas (mga#17236)
- fix firefox popup positioning
- switch to new upstream file trigger syntax
- rediff patch0 for gtk+-3.14.8
- really restore patch for misplaced tooltips in drakx (mga#11893, bgo#698730)
- restore patch for misplaced tooltips in drakx (mga#11893, bgo#698730)
- s/uggests:/Recommends:/
- really apply patch
- patch 13: add a gesture grab fix from git
- bump glib requires
- new release
- drop merged patches
- disabled patch 2 was merged upstream long time ago
- fix dependency loop ending in random %%post faillure (mga#12345)
- move the suggests on gvfs from glib here (debloat, mga#8455)
- disable patch 2
- fix build (from FC)
- new stable version
- patch 1: fix misplaced tooltip (mga#11893, bgo#698730)
- patch 13: fix linking and reenable broadway backend
- disable broadway backend for now as it breaks build
- drop obsolete patch
- new release
- requires glib2.0-common instead of in basesystem
+ ovitters <ovitters>
- new version 3.22.4
- new version 3.22.3
- new version 3.22.2
- new version 3.22.1
- rebuild for typelib provides
- new version 3.22.0
- new version 3.21.6
- rediff patch
- new version 3.20.8
- new version 3.20.6
- new version 3.20.5
- new version 3.20.4
- new version 3.20.3
- new version 3.20.2
- new version 3.20.1
- new version 3.20.0
- new version 3.19.12
- new version 3.19.11
- new version 3.19.10
- new version 3.19.9
- new version 3.19.8
- dropped merged patch 2
- add upstream patch for button-wraps-slider xsetting
- remove gsettings-desktop-schemas require (ack'ed with tv)
- provide gtk-update-icon-cache
- add version conflict with oxygen-gtk3
- new version 3.19.5
- new version 3.19.4
- new version 3.19.3
- new version 3.19.2
- new version 3.18.5
- new version 3.18.4
- new version 3.18.3
- new version 3.18.2
- new version 3.18.1
- new version 3.17.9
- new version 3.17.8
- new version 3.17.7
- new version 3.17.6
- new version 3.17.5
- new version 3.17.4
- new version 3.17.3
- add Adwaita requires
- new version 3.14.8
- update description
- new version 3.14.7
- new version 3.14.6
- new version 3.14.5
- new version 3.14.4
- dropped merged patch 2
- new version 3.14.3
- new version 3.14.2
- new version 3.14.0
- new version 3.13.9
- new version 3.13.8
- new version 3.13.7
- new version 3.13.6
- new version 3.13.5
- make use of apply_patches
- update default theme patch
- new version 3.13.3
- add upstream patch to fix signal setup (mga#13507?)
- add upstream patch to fix tray icon right click (mga#13516)
- drop unused patches
- obsolete gtkparasite
- add upstream patch to fix crasher
- new version 3.13.2
- new version 3.12.1
- new version 3.12.0
- new version 3.11.9
- new version 3.11.8
- new version 3.11.7
- change oxygen-gtk3 requires to a suggest again
- add require on oxygen-gtk3
- new version 3.11.5
- new version 3.11.4
- add patch to fix build with older wayland
- new version 3.10.5
- new version 3.10.4
- new version 3.10.3
- new version 3.10.2
- new version 3.10.1
- new version 3.10.0
- new version 3.9.16
- new version 3.9.14
- new version 3.9.10
- new version 3.9.8
- drop upstreamed patch0
- new version 3.9.6
- new version 3.9.4
- new verison 3.9.2
- new version 3.6.4
- drop merged wayland patches
- new version 3.6.1
- new version 3.6.0
- new version 3.5.18
- new version 3.5.16
- new version 3.5.14
- new version 3.5.12
- new version 3.5.10
- update file list
- new version 3.5.8
- new version 3.5.6
- new version 3.5.4
- new version 3.4.3
- rebuild for broken signature in lib64gail3.0-devel-3.4.1-1.mga2
- rediff patch
- new version 3.4.1
- new version 3.4.0
- new version 3.3.20
- update patch 12
- update file list
- update buildrequires
- new version 3.3.16
- new version
- update file list
- new version
- rebuild to fix missing set_app_menu in gobject instrospection
+ wally <wally>
- new version 3.20.9
- add conflicts due to gtk-update-icon-cache move from gtk+2.0 to gtk+3.0
- add requires for gir pkg to devel pkg
- disable default theme patch
  o don't hardcode oxygen-gtk as default theme
  o fixes black background in gtk3 apps if oxygen-gtk pkgs arent't installed and theme without gtk3 support is used
- add patch from upstream to revert upstream's 'gtktrayicon-x11: Stop using set_double_buffered' change to fix statusicons in Xfce (mga#14057)
- rebuild with new rpm-mageia-setup to generate requires for .typelib files
- add patch from upstream to add Adwaita to the list of default icon themes
- rebuild for new colord
- add gtk3-devel provides to devel pkg so it matches with gtk2 one
- add patch to fix linking
- add patch to fix build with --disable-wayland-cairo-gl which fixes build with new mesa 9.0.1 (bgo#688534)
- add P0 from upstream git to fix programs segfaulting when using filechooser (mga#3595)
- new version 3.3.2
- new version 3.2.1
- new version 3.1.6
- use configure2_5x macro
- disable bootstrapping
- include patch unconditionally and apply it conditionally
+ colin <colin>
- Fix bgo#758893 gdk-frame-clock: layout continuously requested log spam
- Fix journal layout spam and increased CPU usage in gnome-shell bgo#758893
- Fix immodules rpm filetrigger filter regex
- Make immodule updating binary layout match gtk+2.0 package
- Move gtk-query-immodules into an RPM filetrigger.
- Move the gtk-query-immodules to the lib package where it's needed
- New version: 3.13.4
- Remove upstream patches
- Package Adwaita stubs and conflict with gnome-themes-standard ofter move to gtk+
+ luigiwalser <luigiwalser>
- add upstream patch to fix webkit build
- do not error out if libgtk+3_0 posttrans gtk-query-immodules-3.0 exits with error
- make sure libmesagl1 is updated before libgtk+3_0 so posttrans works (mga#15521)
- add symlink to old gtk-query-immodules-3.0 binary so mga4 postuns work on upgrade
- fix obsoletes due to moving css files from gnome-themes-standard
+ fwang <fwang>
- 3.18.0
- new version 3.9.12
- update file list
- bump wayland requires
- bump req
- cleanup post requires
- enable wayland but disable cairo-gl
- completely disable wayland backend
- more check
- disable egl build till gnomebug#688534 be fixed
- rebuild for new wayland
- new version 3.6.2
- disable wayland bacakend for gdk till gnome bug#686313 be fixed
- cleanup spec
- rebuild for new wayland
- add br on atk-bridge
- new version 3.3.18
- bump req
- update file list
- new version 3.3.12
- bump req
- upload tarball
- drop merged patches
- new version 3.3.6
- rediff gtk theme patch
- new version 3.3.4
- new versio 3.2.0
- new version 3.1.92
- new version 3.1.90
- rebuild for new libpng
- new version 3.1.18
- new version 3.1.16
- new version 3.1.14
- new version 3.1.12
- update req
- update file list
- new version 3.1.10
- rebuild for typelib rpm provides
+ tmb <tmb>
- Do not return NULL AtkStateSet
- eventcontroller, widget: Don't crash if destroyed before the other
- eventcontroller: Chain up on constructed
- gdk: don't segfault on beep with offscreen window
- GtkApplication: avoid a crash
- GtkApplication: Prevent more crashes around shutdown
- Make gtk-update-icon-cache not fall over leftover temp files
- Prevent empty password request popup for kerberos
- treeview: Avoid a crash with rubberbanding
- treeview: Don't create an overly large pixel cache
- widget: Take a ref during ::unmap emission
- widget: Take a ref during ::unrealize emission
- gtkcellrendereraccel: Use a GtkInvisible to grab on (mga#13536)
- filechooser: Don't crash if invalid thumbnails exist (bgo#719977)
- GtkFileChooser: Don't fill location_entry if we just populated
  the file list (bgo#386569)
- clipboard: Don't crash when data is requested from NULL window
  (bgo#719314)
- GtkStyleContext: Invalidate contexts with a path (bgo#709491)
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Rebuild to fix library dependencies
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild
+ blino <blino>
- fix emacs crash (backport upstream reverts, bgo#723740 bgo#724067)
- merge upstream patches to enable back wayland backend
- enable broadway (HTML5) backend
- enable wayland backend over cairo-gl
+ lmenut <lmenut>
- rebuild with fixed rpm (missing suggests tags)
+ dmorgan <dmorgan>
- Make sure gtk+3.0 is installed first ( mga #5246)
- Rebuild against new rpm-setup
- New version 3.1.8
- Fix default theme
- Do not package libgailutil-3.la
- More fixed for %%post
- Fix %%post
- Revert rpm5 stuffs and sync with fedora
- Add missing patch
+ cjw <cjw>
- replace patch13 with a patch from gnome git
- patch13: less crashes with glib 2.29.12
- put gobject introspection typelibs in a separate subpackage
- add missing dep on gtk+3.0 to library package
+ ahmad <ahmad>
- In the lib package, add a requires(pre) on the main package
- Drop the %%post scriptlet from the main package, the glib one is handled by
  an rpm filetrigger, and the gtk-query-immodules-3.0* already exists in the
  lib package
- Move the gtk-query-immodules executable to the main package
+ saispo <saispo>
- imported package gtk+3.0

